require 'will_paginate/array'

class ProposalCell < CommonGuidepostCell
  include ApplicationHelper
  
  private
  alias :proposal_action :model

  def table_index
    params[:hidecat] ||= [] # defaults to empty array
    @actions = ProposalAction.with_score
    
    # filters
    @actions = @actions.where(zavrhnut: false)
    @actions = @actions.where(zone: params[:zone]) unless params[:zone].nil?
    @actions = @actions.where(zone: params[:zones]) unless params[:zones].nil?
    @actions = @actions.where(category: 'close gap')
    
    # paginate
    @actions = @actions.paginate(:page=>params[:page], :per_page=>(params[:per_page] || 30))
    @categories = ProposalAction.group(:category).count.collect{|item| item[0]}
    render
  end
  
end
